aboutsummaryrefslogtreecommitdiffstats
path: root/kitty-bin
diff options
context:
space:
mode:
Diffstat (limited to 'kitty-bin')
-rw-r--r--kitty-bin/README14
-rw-r--r--kitty-bin/doinst.sh10
-rw-r--r--kitty-bin/kitty-bin.SlackBuild89
-rw-r--r--kitty-bin/kitty-bin.info10
-rw-r--r--kitty-bin/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/kitty-bin/README b/kitty-bin/README
new file mode 100644
index 0000000..6ccf6b9
--- /dev/null
+++ b/kitty-bin/README
@@ -0,0 +1,14 @@
+kitty (fast, featureful, GPU-based terminal emulator)
+
+kitty is a terminal emulator for X11 and Wayland [1], which offloads
+the rendering to the GPU [2] and supports modern terminal features. It
+also supports tiling multiple terminal windows without using an extra
+program like screen or tmux.
+
+[1] For Wayland support, it may be necessary to add the following
+ line to ~/.config/kitty/kitty.conf:
+ linux_display_server wayland
+
+[2] Requires hardware-accelerated OpenGL support.
+
+This is a repackage of the binaries distributed by upstream
diff --git a/kitty-bin/doinst.sh b/kitty-bin/doinst.sh
new file mode 100644
index 0000000..1f8ff67
--- /dev/null
+++ b/kitty-bin/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/kitty-bin/kitty-bin.SlackBuild b/kitty-bin/kitty-bin.SlackBuild
new file mode 100644
index 0000000..1343807
--- /dev/null
+++ b/kitty-bin/kitty-bin.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for kitty
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=kitty-bin
+SRCNAM=kitty
+VERSION=${VERSION:-0.46.2}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-$ARCH.txz
+
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+mkdir -p $PKG/opt/$PRGNAM-$VERSION/{bin,lib}
+cp -a bin/* $PKG/opt/$PRGNAM-$VERSION/bin
+cp -a lib/* $PKG/opt/$PRGNAM-$VERSION/lib
+
+mkdir -p $PKG/usr/{bin,man}
+mkdir -p $PKG/usr/share/{applications,icons,terminfo}
+cp -a share/applications/*.desktop $PKG/usr/share/applications
+cp -a share/icons/* $PKG/usr/share/icons
+cp -a share/man/* $PKG/usr/man
+find $PKG/usr/man/man* -type f | xargs gzip -9
+cp -a share/terminfo/* $PKG/usr/share/terminfo
+
+ln -sf ../../opt/$PRGNAM-$VERSION/bin/kitty $PKG/usr/bin/kitty
+ln -sf ../../opt/$PRGNAM-$VERSION/bin/kitten $PKG/usr/bin/kitten
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a share/doc/$SRCNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION/html -type f -a -empty | xargs rm
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/kitty-bin/kitty-bin.info b/kitty-bin/kitty-bin.info
new file mode 100644
index 0000000..b3deea8
--- /dev/null
+++ b/kitty-bin/kitty-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="kitty-bin"
+VERSION="0.46.2"
+HOMEPAGE="https://sw.kovidgoyal.net/kitty/"
+DOWNLOAD="https://github.com/kovidgoyal/kitty/releases/download/v0.46.2/kitty-0.46.2-x86_64.txz"
+MD5SUM="9c99ee383211e06cd919d156ab3c1031"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="danix"
+EMAIL="danix@danix.xyz"
diff --git a/kitty-bin/slack-desc b/kitty-bin/slack-desc
new file mode 100644
index 0000000..de67509
--- /dev/null
+++ b/kitty-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kitty-bin: kitty (fast, featureful, GPU-based terminal emulator)
+kitty-bin:
+kitty-bin: kitty is a terminal emulator for X11 and Wayland, which offloads the
+kitty-bin: rendering to the GPU and supports modern terminal features. It also
+kitty-bin: supports tiling multiple terminal windows without using an extra
+kitty-bin: program like screen or tmux.
+kitty-bin:
+kitty-bin: Homepage: https://sw.kovidgoyal.net/kitty/
+kitty-bin:
+kitty-bin: This is a repackage of the binaries distributed by upstream.
+kitty-bin: